import pygame

class Player:
    __id:int
    __hp:int
    __name:str
    __handCards:pygame.Sprite.Group
    
    def __init__(self, hp:int, name:str):
        self.__hp = hp
        self.__name = name

    def setID(self, id:int):
        self.__id = id

    def getID(self) -> int:
        return self.__id

    def getName(self) -> str:
        return self.__name
    
    def getHP(self) -> int:
        return self.__hp
    
    def adjustHP(self, hp:int) -> int:
        self.__hp = self.__hp + hp

    def getHand(self) -> pygame.Sprite.Group:
        return self.__handCards
    
    def AddToHand(self, card) -> pygame.Sprite.Group:
        self.__handCards.add(card)
        return self.__handCards

    def removeFromHand(self, pos:int) -> pygame.Sprite.Group:
        self.__handCards.remove(pos)
        return self.__handCards